Package ru.bitel.bgbilling.modules.voice.server.bean

# Class VoiceDeviceMap

java.lang.Object
ru.bitel.bgbilling.modules.voice.server.bean.VoiceDeviceMap

All Implemented Interfaces:
  `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`

    public class VoiceDeviceMap
    extends java.lang.Object
    implements EventListener<ru.bitel.bgbilling.kernel.event.common.Event>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `class` | `VoiceDeviceMap.VoiceDeviceMapItem` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `fix​(ParameterMap params, Preferences fix, java.lang.String prefixOld, java.lang.String prefixNew)` |
  `VoiceDeviceMap.VoiceDeviceMapItem` | `get​(int deviceId)` |
  `static VoiceDeviceMap` | `getInstance​(int moduleId)` |
  `java.util.Map<java.lang.Integer,​VoiceDeviceMap.VoiceDeviceMapItem>` | `getMap()` |
  `long` | `getVersion()` |
  `void` | `notify​(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx)` |
  `void` | `reload()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getInstance

    public static VoiceDeviceMap getInstance​(int moduleId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getVersion

    public long getVersion()

  - ### fix

    public void fix​(ParameterMap params, Preferences fix, java.lang.String prefixOld, java.lang.String prefixNew)

  - ### get

    public VoiceDeviceMap.VoiceDeviceMapItem get​(int deviceId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getMap

    public java.util.Map<java.lang.Integer,​VoiceDeviceMap.VoiceDeviceMapItem> getMap() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### notify

    public void notify​(ru.bitel.bgbilling.kernel.event.common.Event e, EventListenerContext ctx) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `notify` in interface `EventListener<ru.bitel.bgbilling.kernel.event.common.Event>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### reload

    public void reload()